org.eclipse.viatra.query.patternlanguage.emf.vql

## Interface PatternLanguagePackage

- All Superinterfaces:
    org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.common.notify.Notifier
  All Known Implementing Classes:
    PatternLanguagePackageImpl

      public interface PatternLanguagePackage
      extends org.eclipse.emf.ecore.EPackage

  The Package for the model. It contains accessors for the meta objects to represent
  - each class,
  - each feature of each class,
  - each enum,
  - and each data type
  See Also:
    `PatternLanguageFactory`
  Generated:
  Model:
    kind="package"

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `PatternLanguagePackage.Literals` Defines literals for the meta objects that represent each class, each feature of each class, each enum, and each data type

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage

      `org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `AGGREGATED_VALUE` The meta object id for the '`Aggregated Value`' class.
    `static int` | `AGGREGATED_VALUE__AGGREGATE_TYPE` The feature id for the 'Aggregate Type' reference.
    `static int` | `AGGREGATED_VALUE__AGGREGATOR` The feature id for the 'Aggregator' reference.
    `static int` | `AGGREGATED_VALUE__CALL` The feature id for the 'Call' containment reference.
    `static int` | `AGGREGATED_VALUE_FEATURE_COUNT` The number of structural features of the 'Aggregated Value' class.
    `static int` | `ANNOTATION` The meta object id for the '`Annotation`' class.
    `static int` | `ANNOTATION__NAME` The feature id for the 'Name' attribute.
    `static int` | `ANNOTATION__PARAMETERS` The feature id for the 'Parameters' containment reference list.
    `static int` | `ANNOTATION_FEATURE_COUNT` The number of structural features of the 'Annotation' class.
    `static int` | `ANNOTATION_PARAMETER` The meta object id for the '`Annotation Parameter`' class.
    `static int` | `ANNOTATION_PARAMETER__NAME` The feature id for the 'Name' attribute.
    `static int` | `ANNOTATION_PARAMETER__VALUE` The feature id for the 'Value' containment reference.
    `static int` | `ANNOTATION_PARAMETER_FEATURE_COUNT` The number of structural features of the 'Annotation Parameter' class.
    `static int` | `BOOL_VALUE` The meta object id for the '`Bool Value`' class.
    `static int` | `BOOL_VALUE__VALUE` The feature id for the 'Value' containment reference.
    `static int` | `BOOL_VALUE_FEATURE_COUNT` The number of structural features of the 'Bool Value' class.
    `static int` | `CALLABLE_RELATION` The meta object id for the '`Callable Relation`' class.
    `static int` | `CALLABLE_RELATION__TRANSITIVE` The feature id for the 'Transitive' attribute.
    `static int` | `CALLABLE_RELATION_FEATURE_COUNT` The number of structural features of the 'Callable Relation' class.
    `static int` | `CHECK_CONSTRAINT` The meta object id for the '`Check Constraint`' class.
    `static int` | `CHECK_CONSTRAINT__EXPRESSION` The feature id for the 'Expression' containment reference.
    `static int` | `CHECK_CONSTRAINT_FEATURE_COUNT` The number of structural features of the 'Check Constraint' class.
    `static int` | `CLASS_TYPE` The meta object id for the '`Class Type`' class.
    `static int` | `CLASS_TYPE__CLASSNAME` The feature id for the 'Classname' reference.
    `static int` | `CLASS_TYPE__METAMODEL` The feature id for the 'Metamodel' reference.
    `static int` | `CLASS_TYPE__TYPENAME` The feature id for the 'Typename' attribute.
    `static int` | `CLASS_TYPE_FEATURE_COUNT` The number of structural features of the 'Class Type' class.
    `static int` | `CLOSURE_TYPE` The meta object id for the '`Closure Type`' enum.
    `static int` | `COMPARE_CONSTRAINT` The meta object id for the '`Compare Constraint`' class.
    `static int` | `COMPARE_CONSTRAINT__FEATURE` The feature id for the 'Feature' attribute.
    `static int` | `COMPARE_CONSTRAINT__LEFT_OPERAND` The feature id for the 'Left Operand' containment reference.
    `static int` | `COMPARE_CONSTRAINT__RIGHT_OPERAND` The feature id for the 'Right Operand' containment reference.
    `static int` | `COMPARE_CONSTRAINT_FEATURE_COUNT` The number of structural features of the 'Compare Constraint' class.
    `static int` | `COMPARE_FEATURE` The meta object id for the '`Compare Feature`' enum.
    `static int` | `COMPUTATION_VALUE` The meta object id for the '`Computation Value`' class.
    `static int` | `COMPUTATION_VALUE_FEATURE_COUNT` The number of structural features of the 'Computation Value' class.
    `static int` | `CONSTRAINT` The meta object id for the '`Constraint`' class.
    `static int` | `CONSTRAINT_FEATURE_COUNT` The number of structural features of the 'Constraint' class.
    `static int` | `ECLASSIFIER_CONSTRAINT` The meta object id for the '`EClassifier Constraint`' class.
    `static int` | `ECLASSIFIER_CONSTRAINT__TRANSITIVE` The feature id for the 'Transitive' attribute.
    `static int` | `ECLASSIFIER_CONSTRAINT__TYPE` The feature id for the 'Type' containment reference.
    `static int` | `ECLASSIFIER_CONSTRAINT__VAR` The feature id for the 'Var' containment reference.
    `static int` | `ECLASSIFIER_CONSTRAINT_FEATURE_COUNT` The number of structural features of the 'EClassifier Constraint' class.
    `static PatternLanguagePackage` | `eINSTANCE` The singleton instance of the package.
    `static java.lang.String` | `eNAME` The package name.
    `static java.lang.String` | `eNS_PREFIX` The package namespace name.
    `static java.lang.String` | `eNS_URI` The package namespace URI.
    `static int` | `ENTITY_TYPE` The meta object id for the '`Entity Type`' class.
    `static int` | `ENTITY_TYPE__TYPENAME` The feature id for the 'Typename' attribute.
    `static int` | `ENTITY_TYPE_FEATURE_COUNT` The number of structural features of the 'Entity Type' class.
    `static int` | `ENUM_VALUE` The meta object id for the '`Enum Value`' class.
    `static int` | `ENUM_VALUE__ENUMERATION` The feature id for the 'Enumeration' reference.
    `static int` | `ENUM_VALUE__LITERAL` The feature id for the 'Literal' reference.
    `static int` | `ENUM_VALUE_FEATURE_COUNT` The number of structural features of the 'Enum Value' class.
    `static int` | `EXECUTION_TYPE` The meta object id for the '`Execution Type`' enum.
    `static int` | `EXPRESSION` The meta object id for the '`Expression`' class.
    `static int` | `EXPRESSION_FEATURE_COUNT` The number of structural features of the 'Expression' class.
    `static int` | `FUNCTION_EVALUATION_VALUE` The meta object id for the '`Function Evaluation Value`' class.
    `static int` | `FUNCTION_EVALUATION_VALUE__EXPRESSION` The feature id for the 'Expression' containment reference.
    `static int` | `FUNCTION_EVALUATION_VALUE__UNWIND` The feature id for the 'Unwind' attribute.
    `static int` | `FUNCTION_EVALUATION_VALUE_FEATURE_COUNT` The number of structural features of the 'Function Evaluation Value' class.
    `static int` | `JAVA_CONSTANT_VALUE` The meta object id for the '`Java Constant Value`' class.
    `static int` | `JAVA_CONSTANT_VALUE__CLASS_REF` The feature id for the 'Class Ref' reference.
    `static int` | `JAVA_CONSTANT_VALUE__FIELD_REF` The feature id for the 'Field Ref' reference.
    `static int` | `JAVA_CONSTANT_VALUE_FEATURE_COUNT` The number of structural features of the 'Java Constant Value' class.
    `static int` | `JAVA_TYPE` The meta object id for the '`Java Type`' class.
    `static int` | `JAVA_TYPE__CLASS_REF` The feature id for the 'Class Ref' reference.
    `static int` | `JAVA_TYPE__TYPENAME` The feature id for the 'Typename' attribute.
    `static int` | `JAVA_TYPE_FEATURE_COUNT` The number of structural features of the 'Java Type' class.
    `static int` | `LIST_VALUE` The meta object id for the '`List Value`' class.
    `static int` | `LIST_VALUE__VALUES` The feature id for the 'Values' containment reference list.
    `static int` | `LIST_VALUE_FEATURE_COUNT` The number of structural features of the 'List Value' class.
    `static int` | `LITERAL_VALUE_REFERENCE` The meta object id for the '`Literal Value Reference`' class.
    `static int` | `LITERAL_VALUE_REFERENCE_FEATURE_COUNT` The number of structural features of the 'Literal Value Reference' class.
    `static int` | `LOCAL_VARIABLE` The meta object id for the '`Local Variable`' class.
    `static int` | `LOCAL_VARIABLE__NAME` The feature id for the 'Name' attribute.
    `static int` | `LOCAL_VARIABLE__TYPE` The feature id for the 'Type' containment reference.
    `static int` | `LOCAL_VARIABLE_FEATURE_COUNT` The number of structural features of the 'Local Variable' class.
    `static int` | `MODIFIERS` The meta object id for the '`Modifiers`' class.
    `static int` | `MODIFIERS__EXECUTION` The feature id for the 'Execution' attribute.
    `static int` | `MODIFIERS__PRIVATE` The feature id for the 'Private' attribute.
    `static int` | `MODIFIERS_FEATURE_COUNT` The number of structural features of the 'Modifiers' class.
    `static int` | `NUMBER_VALUE` The meta object id for the '`Number Value`' class.
    `static int` | `NUMBER_VALUE__NEGATIVE` The feature id for the 'Negative' attribute.
    `static int` | `NUMBER_VALUE__VALUE` The feature id for the 'Value' containment reference.
    `static int` | `NUMBER_VALUE_FEATURE_COUNT` The number of structural features of the 'Number Value' class.
    `static int` | `PACKAGE_IMPORT` The meta object id for the '`Package Import`' class.
    `static int` | `PACKAGE_IMPORT__ALIAS` The feature id for the 'Alias' attribute.
    `static int` | `PACKAGE_IMPORT__EPACKAGE` The feature id for the 'EPackage' reference.
    `static int` | `PACKAGE_IMPORT_FEATURE_COUNT` The number of structural features of the 'Package Import' class.
    `static int` | `PARAMETER` The meta object id for the '`Parameter`' class.
    `static int` | `PARAMETER__DIRECTION` The feature id for the 'Direction' attribute.
    `static int` | `PARAMETER__NAME` The feature id for the 'Name' attribute.
    `static int` | `PARAMETER__TYPE` The feature id for the 'Type' containment reference.
    `static int` | `PARAMETER_DIRECTION` The meta object id for the '`Parameter Direction`' enum.
    `static int` | `PARAMETER_FEATURE_COUNT` The number of structural features of the 'Parameter' class.
    `static int` | `PARAMETER_REF` The meta object id for the '`Parameter Ref`' class.
    `static int` | `PARAMETER_REF__NAME` The feature id for the 'Name' attribute.
    `static int` | `PARAMETER_REF__REFERRED_PARAM` The feature id for the 'Referred Param' reference.
    `static int` | `PARAMETER_REF__TYPE` The feature id for the 'Type' containment reference.
    `static int` | `PARAMETER_REF_FEATURE_COUNT` The number of structural features of the 'Parameter Ref' class.
    `static int` | `PATH_EXPRESSION_CONSTRAINT` The meta object id for the '`Path Expression Constraint`' class.
    `static int` | `PATH_EXPRESSION_CONSTRAINT__DST` The feature id for the 'Dst' containment reference.
    `static int` | `PATH_EXPRESSION_CONSTRAINT__EDGE_TYPES` The feature id for the 'Edge Types' containment reference list.
    `static int` | `PATH_EXPRESSION_CONSTRAINT__SOURCE_TYPE` The feature id for the 'Source Type' containment reference.
    `static int` | `PATH_EXPRESSION_CONSTRAINT__SRC` The feature id for the 'Src' containment reference.
    `static int` | `PATH_EXPRESSION_CONSTRAINT__TRANSITIVE` The feature id for the 'Transitive' attribute.
    `static int` | `PATH_EXPRESSION_CONSTRAINT_FEATURE_COUNT` The number of structural features of the 'Path Expression Constraint' class.
    `static int` | `PATTERN` The meta object id for the '`Pattern`' class.
    `static int` | `PATTERN__ANNOTATIONS` The feature id for the 'Annotations' containment reference list.
    `static int` | `PATTERN__BODIES` The feature id for the 'Bodies' containment reference list.
    `static int` | `PATTERN__MODIFIERS` The feature id for the 'Modifiers' containment reference.
    `static int` | `PATTERN__NAME` The feature id for the 'Name' attribute.
    `static int` | `PATTERN__PARAMETERS` The feature id for the 'Parameters' containment reference list.
    `static int` | `PATTERN_BODY` The meta object id for the '`Pattern Body`' class.
    `static int` | `PATTERN_BODY__CONSTRAINTS` The feature id for the 'Constraints' containment reference list.
    `static int` | `PATTERN_BODY__NAME` The feature id for the 'Name' attribute.
    `static int` | `PATTERN_BODY__VARIABLES` The feature id for the 'Variables' containment reference list.
    `static int` | `PATTERN_BODY_FEATURE_COUNT` The number of structural features of the 'Pattern Body' class.
    `static int` | `PATTERN_CALL` The meta object id for the '`Pattern Call`' class.
    `static int` | `PATTERN_CALL__PARAMETERS` The feature id for the 'Parameters' containment reference list.
    `static int` | `PATTERN_CALL__PATTERN_REF` The feature id for the 'Pattern Ref' reference.
    `static int` | `PATTERN_CALL__TRANSITIVE` The feature id for the 'Transitive' attribute.
    `static int` | `PATTERN_CALL_FEATURE_COUNT` The number of structural features of the 'Pattern Call' class.
    `static int` | `PATTERN_COMPOSITION_CONSTRAINT` The meta object id for the '`Pattern Composition Constraint`' class.
    `static int` | `PATTERN_COMPOSITION_CONSTRAINT__CALL` The feature id for the 'Call' containment reference.
    `static int` | `PATTERN_COMPOSITION_CONSTRAINT__NEGATIVE` The feature id for the 'Negative' attribute.
    `static int` | `PATTERN_COMPOSITION_CONSTRAINT_FEATURE_COUNT` The number of structural features of the 'Pattern Composition Constraint' class.
    `static int` | `PATTERN_FEATURE_COUNT` The number of structural features of the 'Pattern' class.
    `static int` | `PATTERN_IMPORT` The meta object id for the '`Pattern Import`' class.
    `static int` | `PATTERN_IMPORT__PACKAGE_NAME` The feature id for the 'Package Name' attribute.
    `static int` | `PATTERN_IMPORT__PATTERN` The feature id for the 'Pattern' reference.
    `static int` | `PATTERN_IMPORT__PATTERNS` The feature id for the 'Patterns' containment reference list.
    `static int` | `PATTERN_IMPORT_FEATURE_COUNT` The number of structural features of the 'Pattern Import' class.
    `static int` | `PATTERN_MODEL` The meta object id for the '`Pattern Model`' class.
    `static int` | `PATTERN_MODEL__IMPORT_PACKAGES` The feature id for the 'Import Packages' containment reference.
    `static int` | `PATTERN_MODEL__PACKAGE_NAME` The feature id for the 'Package Name' attribute.
    `static int` | `PATTERN_MODEL__PATTERNS` The feature id for the 'Patterns' containment reference list.
    `static int` | `PATTERN_MODEL_FEATURE_COUNT` The number of structural features of the 'Pattern Model' class.
    `static int` | `REFERENCE_TYPE` The meta object id for the '`Reference Type`' class.
    `static int` | `REFERENCE_TYPE__REFNAME` The feature id for the 'Refname' reference.
    `static int` | `REFERENCE_TYPE__TYPENAME` The feature id for the 'Typename' attribute.
    `static int` | `REFERENCE_TYPE_FEATURE_COUNT` The number of structural features of the 'Reference Type' class.
    `static int` | `RELATION_TYPE` The meta object id for the '`Relation Type`' class.
    `static int` | `RELATION_TYPE__TYPENAME` The feature id for the 'Typename' attribute.
    `static int` | `RELATION_TYPE_FEATURE_COUNT` The number of structural features of the 'Relation Type' class.
    `static int` | `STRING_VALUE` The meta object id for the '`String Value`' class.
    `static int` | `STRING_VALUE__VALUE` The feature id for the 'Value' attribute.
    `static int` | `STRING_VALUE_FEATURE_COUNT` The number of structural features of the 'String Value' class.
    `static int` | `TYPE` The meta object id for the '`Type`' class.
    `static int` | `TYPE__TYPENAME` The feature id for the 'Typename' attribute.
    `static int` | `TYPE_CHECK_CONSTRAINT` The meta object id for the '`Type Check Constraint`' class.
    `static int` | `TYPE_CHECK_CONSTRAINT__TRANSITIVE` The feature id for the 'Transitive' attribute.
    `static int` | `TYPE_CHECK_CONSTRAINT__TYPE` The feature id for the 'Type' containment reference.
    `static int` | `TYPE_CHECK_CONSTRAINT__VAR` The feature id for the 'Var' containment reference.
    `static int` | `TYPE_CHECK_CONSTRAINT_FEATURE_COUNT` The number of structural features of the 'Type Check Constraint' class.
    `static int` | `TYPE_FEATURE_COUNT` The number of structural features of the 'Type' class.
    `static int` | `UNARY_TYPE_CONSTRAINT` The meta object id for the '`Unary Type Constraint`' class.
    `static int` | `UNARY_TYPE_CONSTRAINT__TRANSITIVE` The feature id for the 'Transitive' attribute.
    `static int` | `UNARY_TYPE_CONSTRAINT__TYPE` The feature id for the 'Type' containment reference.
    `static int` | `UNARY_TYPE_CONSTRAINT__VAR` The feature id for the 'Var' containment reference.
    `static int` | `UNARY_TYPE_CONSTRAINT_FEATURE_COUNT` The number of structural features of the 'Unary Type Constraint' class.
    `static int` | `VALUE_REFERENCE` The meta object id for the '`Value Reference`' class.
    `static int` | `VALUE_REFERENCE_FEATURE_COUNT` The number of structural features of the 'Value Reference' class.
    `static int` | `VARIABLE` The meta object id for the '`Variable`' class.
    `static int` | `VARIABLE__NAME` The feature id for the 'Name' attribute.
    `static int` | `VARIABLE__TYPE` The feature id for the 'Type' containment reference.
    `static int` | `VARIABLE_FEATURE_COUNT` The number of structural features of the 'Variable' class.
    `static int` | `VARIABLE_REFERENCE` The meta object id for the '`Variable Reference`' class.
    `static int` | `VARIABLE_REFERENCE__AGGREGATOR` The feature id for the 'Aggregator' attribute.
    `static int` | `VARIABLE_REFERENCE__VAR` The feature id for the 'Var' attribute.
    `static int` | `VARIABLE_REFERENCE__VARIABLE` The feature id for the 'Variable' reference.
    `static int` | `VARIABLE_REFERENCE_FEATURE_COUNT` The number of structural features of the 'Variable Reference' class.
    `static int` | `VQL_IMPORT_SECTION` The meta object id for the '`VQL Import Section`' class.
    `static int` | `VQL_IMPORT_SECTION__IMPORT_DECLARATIONS` The feature id for the 'Import Declarations' containment reference list.
    `static int` | `VQL_IMPORT_SECTION__PACKAGE_IMPORT` The feature id for the 'Package Import' containment reference list.
    `static int` | `VQL_IMPORT_SECTION__PATTERN_IMPORT` The feature id for the 'Pattern Import' containment reference list.
    `static int` | `VQL_IMPORT_SECTION_FEATURE_COUNT` The number of structural features of the 'VQL Import Section' class.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.emf.ecore.EReference` | `getAggregatedValue_AggregateType()` Returns the meta object for the reference '`Aggregate Type`'.
    `org.eclipse.emf.ecore.EReference` | `getAggregatedValue_Aggregator()` Returns the meta object for the reference '`Aggregator`'.
    `org.eclipse.emf.ecore.EReference` | `getAggregatedValue_Call()` Returns the meta object for the containment reference '`Call`'.
    `org.eclipse.emf.ecore.EClass` | `getAggregatedValue()` Returns the meta object for class '`Aggregated Value`'.
    `org.eclipse.emf.ecore.EAttribute` | `getAnnotation_Name()` Returns the meta object for the attribute '`Name`'.
    `org.eclipse.emf.ecore.EReference` | `getAnnotation_Parameters()` Returns the meta object for the containment reference list '`Parameters`'.
    `org.eclipse.emf.ecore.EClass` | `getAnnotation()` Returns the meta object for class '`Annotation`'.
    `org.eclipse.emf.ecore.EAttribute` | `getAnnotationParameter_Name()` Returns the meta object for the attribute '`Name`'.
    `org.eclipse.emf.ecore.EReference` | `getAnnotationParameter_Value()` Returns the meta object for the containment reference '`Value`'.
    `org.eclipse.emf.ecore.EClass` | `getAnnotationParameter()` Returns the meta object for class '`Annotation Parameter`'.
    `org.eclipse.emf.ecore.EReference` | `getBoolValue_Value()` Returns the meta object for the containment reference '`Value`'.
    `org.eclipse.emf.ecore.EClass` | `getBoolValue()` Returns the meta object for class '`Bool Value`'.
    `org.eclipse.emf.ecore.EAttribute` | `getCallableRelation_Transitive()` Returns the meta object for the attribute '`Transitive`'.
    `org.eclipse.emf.ecore.EClass` | `getCallableRelation()` Returns the meta object for class '`Callable Relation`'.
    `org.eclipse.emf.ecore.EReference` | `getCheckConstraint_Expression()` Returns the meta object for the containment reference '`Expression`'.
    `org.eclipse.emf.ecore.EClass` | `getCheckConstraint()` Returns the meta object for class '`Check Constraint`'.
    `org.eclipse.emf.ecore.EReference` | `getClassType_Classname()` Returns the meta object for the reference '`Classname`'.
    `org.eclipse.emf.ecore.EReference` | `getClassType_Metamodel()` Returns the meta object for the reference '`Metamodel`'.
    `org.eclipse.emf.ecore.EClass` | `getClassType()` Returns the meta object for class '`Class Type`'.
    `org.eclipse.emf.ecore.EEnum` | `getClosureType()` Returns the meta object for enum '`Closure Type`'.
    `org.eclipse.emf.ecore.EAttribute` | `getCompareConstraint_Feature()` Returns the meta object for the attribute '`Feature`'.
    `org.eclipse.emf.ecore.EReference` | `getCompareConstraint_LeftOperand()` Returns the meta object for the containment reference '`Left Operand`'.
    `org.eclipse.emf.ecore.EReference` | `getCompareConstraint_RightOperand()` Returns the meta object for the containment reference '`Right Operand`'.
    `org.eclipse.emf.ecore.EClass` | `getCompareConstraint()` Returns the meta object for class '`Compare Constraint`'.
    `org.eclipse.emf.ecore.EEnum` | `getCompareFeature()` Returns the meta object for enum '`Compare Feature`'.
    `org.eclipse.emf.ecore.EClass` | `getComputationValue()` Returns the meta object for class '`Computation Value`'.
    `org.eclipse.emf.ecore.EClass` | `getConstraint()` Returns the meta object for class '`Constraint`'.
    `org.eclipse.emf.ecore.EClass` | `getEClassifierConstraint()` Returns the meta object for class '`EClassifier Constraint`'.
    `org.eclipse.emf.ecore.EClass` | `getEntityType()` Returns the meta object for class '`Entity Type`'.
    `org.eclipse.emf.ecore.EReference` | `getEnumValue_Enumeration()` Returns the meta object for the reference '`Enumeration`'.
    `org.eclipse.emf.ecore.EReference` | `getEnumValue_Literal()` Returns the meta object for the reference '`Literal`'.
    `org.eclipse.emf.ecore.EClass` | `getEnumValue()` Returns the meta object for class '`Enum Value`'.
    `org.eclipse.emf.ecore.EEnum` | `getExecutionType()` Returns the meta object for enum '`Execution Type`'.
    `org.eclipse.emf.ecore.EClass` | `getExpression()` Returns the meta object for class '`Expression`'.
    `org.eclipse.emf.ecore.EReference` | `getFunctionEvaluationValue_Expression()` Returns the meta object for the containment reference '`Expression`'.
    `org.eclipse.emf.ecore.EAttribute` | `getFunctionEvaluationValue_Unwind()` Returns the meta object for the attribute '`Unwind`'.
    `org.eclipse.emf.ecore.EClass` | `getFunctionEvaluationValue()` Returns the meta object for class '`Function Evaluation Value`'.
    `org.eclipse.emf.ecore.EReference` | `getJavaConstantValue_ClassRef()` Returns the meta object for the reference '`Class Ref`'.
    `org.eclipse.emf.ecore.EReference` | `getJavaConstantValue_FieldRef()` Returns the meta object for the reference '`Field Ref`'.
    `org.eclipse.emf.ecore.EClass` | `getJavaConstantValue()` Returns the meta object for class '`Java Constant Value`'.
    `org.eclipse.emf.ecore.EReference` | `getJavaType_ClassRef()` Returns the meta object for the reference '`Class Ref`'.
    `org.eclipse.emf.ecore.EClass` | `getJavaType()` Returns the meta object for class '`Java Type`'.
    `org.eclipse.emf.ecore.EReference` | `getListValue_Values()` Returns the meta object for the containment reference list '`Values`'.
    `org.eclipse.emf.ecore.EClass` | `getListValue()` Returns the meta object for class '`List Value`'.
    `org.eclipse.emf.ecore.EClass` | `getLiteralValueReference()` Returns the meta object for class '`Literal Value Reference`'.
    `org.eclipse.emf.ecore.EClass` | `getLocalVariable()` Returns the meta object for class '`Local Variable`'.
    `org.eclipse.emf.ecore.EAttribute` | `getModifiers_Execution()` Returns the meta object for the attribute '`Execution`'.
    `org.eclipse.emf.ecore.EAttribute` | `getModifiers_Private()` Returns the meta object for the attribute '`Private`'.
    `org.eclipse.emf.ecore.EClass` | `getModifiers()` Returns the meta object for class '`Modifiers`'.
    `org.eclipse.emf.ecore.EAttribute` | `getNumberValue_Negative()` Returns the meta object for the attribute '`Negative`'.
    `org.eclipse.emf.ecore.EReference` | `getNumberValue_Value()` Returns the meta object for the containment reference '`Value`'.
    `org.eclipse.emf.ecore.EClass` | `getNumberValue()` Returns the meta object for class '`Number Value`'.
    `org.eclipse.emf.ecore.EAttribute` | `getPackageImport_Alias()` Returns the meta object for the attribute '`Alias`'.
    `org.eclipse.emf.ecore.EReference` | `getPackageImport_EPackage()` Returns the meta object for the reference '`EPackage`'.
    `org.eclipse.emf.ecore.EClass` | `getPackageImport()` Returns the meta object for class '`Package Import`'.
    `org.eclipse.emf.ecore.EAttribute` | `getParameter_Direction()` Returns the meta object for the attribute '`Direction`'.
    `org.eclipse.emf.ecore.EClass` | `getParameter()` Returns the meta object for class '`Parameter`'.
    `org.eclipse.emf.ecore.EEnum` | `getParameterDirection()` Returns the meta object for enum '`Parameter Direction`'.
    `org.eclipse.emf.ecore.EReference` | `getParameterRef_ReferredParam()` Returns the meta object for the reference '`Referred Param`'.
    `org.eclipse.emf.ecore.EClass` | `getParameterRef()` Returns the meta object for class '`Parameter Ref`'.
    `org.eclipse.emf.ecore.EReference` | `getPathExpressionConstraint_Dst()` Returns the meta object for the containment reference '`Dst`'.
    `org.eclipse.emf.ecore.EReference` | `getPathExpressionConstraint_EdgeTypes()` Returns the meta object for the containment reference list '`Edge Types`'.
    `org.eclipse.emf.ecore.EReference` | `getPathExpressionConstraint_SourceType()` Returns the meta object for the containment reference '`Source Type`'.
    `org.eclipse.emf.ecore.EReference` | `getPathExpressionConstraint_Src()` Returns the meta object for the containment reference '`Src`'.
    `org.eclipse.emf.ecore.EClass` | `getPathExpressionConstraint()` Returns the meta object for class '`Path Expression Constraint`'.
    `org.eclipse.emf.ecore.EReference` | `getPattern_Annotations()` Returns the meta object for the containment reference list '`Annotations`'.
    `org.eclipse.emf.ecore.EReference` | `getPattern_Bodies()` Returns the meta object for the containment reference list '`Bodies`'.
    `org.eclipse.emf.ecore.EReference` | `getPattern_Modifiers()` Returns the meta object for the containment reference '`Modifiers`'.
    `org.eclipse.emf.ecore.EAttribute` | `getPattern_Name()` Returns the meta object for the attribute '`Name`'.
    `org.eclipse.emf.ecore.EReference` | `getPattern_Parameters()` Returns the meta object for the containment reference list '`Parameters`'.
    `org.eclipse.emf.ecore.EClass` | `getPattern()` Returns the meta object for class '`Pattern`'.
    `org.eclipse.emf.ecore.EReference` | `getPatternBody_Constraints()` Returns the meta object for the containment reference list '`Constraints`'.
    `org.eclipse.emf.ecore.EAttribute` | `getPatternBody_Name()` Returns the meta object for the attribute '`Name`'.
    `org.eclipse.emf.ecore.EReference` | `getPatternBody_Variables()` Returns the meta object for the containment reference list '`Variables`'.
    `org.eclipse.emf.ecore.EClass` | `getPatternBody()` Returns the meta object for class '`Pattern Body`'.
    `org.eclipse.emf.ecore.EReference` | `getPatternCall_Parameters()` Returns the meta object for the containment reference list '`Parameters`'.
    `org.eclipse.emf.ecore.EReference` | `getPatternCall_PatternRef()` Returns the meta object for the reference '`Pattern Ref`'.
    `org.eclipse.emf.ecore.EClass` | `getPatternCall()` Returns the meta object for class '`Pattern Call`'.
    `org.eclipse.emf.ecore.EReference` | `getPatternCompositionConstraint_Call()` Returns the meta object for the containment reference '`Call`'.
    `org.eclipse.emf.ecore.EAttribute` | `getPatternCompositionConstraint_Negative()` Returns the meta object for the attribute '`Negative`'.
    `org.eclipse.emf.ecore.EClass` | `getPatternCompositionConstraint()` Returns the meta object for class '`Pattern Composition Constraint`'.
    `org.eclipse.emf.ecore.EAttribute` | `getPatternImport_PackageName()` Returns the meta object for the attribute '`Package Name`'.
    `org.eclipse.emf.ecore.EReference` | `getPatternImport_Pattern()` Returns the meta object for the reference '`Pattern`'.
    `org.eclipse.emf.ecore.EReference` | `getPatternImport_Patterns()` Returns the meta object for the containment reference list '`Patterns`'.
    `org.eclipse.emf.ecore.EClass` | `getPatternImport()` Returns the meta object for class '`Pattern Import`'.
    `PatternLanguageFactory` | `getPatternLanguageFactory()` Returns the factory that creates the instances of the model.
    `org.eclipse.emf.ecore.EReference` | `getPatternModel_ImportPackages()` Returns the meta object for the containment reference '`Import Packages`'.
    `org.eclipse.emf.ecore.EAttribute` | `getPatternModel_PackageName()` Returns the meta object for the attribute '`Package Name`'.
    `org.eclipse.emf.ecore.EReference` | `getPatternModel_Patterns()` Returns the meta object for the containment reference list '`Patterns`'.
    `org.eclipse.emf.ecore.EClass` | `getPatternModel()` Returns the meta object for class '`Pattern Model`'.
    `org.eclipse.emf.ecore.EReference` | `getReferenceType_Refname()` Returns the meta object for the reference '`Refname`'.
    `org.eclipse.emf.ecore.EClass` | `getReferenceType()` Returns the meta object for class '`Reference Type`'.
    `org.eclipse.emf.ecore.EClass` | `getRelationType()` Returns the meta object for class '`Relation Type`'.
    `org.eclipse.emf.ecore.EAttribute` | `getStringValue_Value()` Returns the meta object for the attribute '`Value`'.
    `org.eclipse.emf.ecore.EClass` | `getStringValue()` Returns the meta object for class '`String Value`'.
    `org.eclipse.emf.ecore.EAttribute` | `getType_Typename()` Returns the meta object for the attribute '`Typename`'.
    `org.eclipse.emf.ecore.EClass` | `getType()` Returns the meta object for class '`Type`'.
    `org.eclipse.emf.ecore.EClass` | `getTypeCheckConstraint()` Returns the meta object for class '`Type Check Constraint`'.
    `org.eclipse.emf.ecore.EReference` | `getUnaryTypeConstraint_Type()` Returns the meta object for the containment reference '`Type`'.
    `org.eclipse.emf.ecore.EReference` | `getUnaryTypeConstraint_Var()` Returns the meta object for the containment reference '`Var`'.
    `org.eclipse.emf.ecore.EClass` | `getUnaryTypeConstraint()` Returns the meta object for class '`Unary Type Constraint`'.
    `org.eclipse.emf.ecore.EClass` | `getValueReference()` Returns the meta object for class '`Value Reference`'.
    `org.eclipse.emf.ecore.EAttribute` | `getVariable_Name()` Returns the meta object for the attribute '`Name`'.
    `org.eclipse.emf.ecore.EReference` | `getVariable_Type()` Returns the meta object for the containment reference '`Type`'.
    `org.eclipse.emf.ecore.EClass` | `getVariable()` Returns the meta object for class '`Variable`'.
    `org.eclipse.emf.ecore.EAttribute` | `getVariableReference_Aggregator()` Returns the meta object for the attribute '`Aggregator`'.
    `org.eclipse.emf.ecore.EAttribute` | `getVariableReference_Var()` Returns the meta object for the attribute '`Var`'.
    `org.eclipse.emf.ecore.EReference` | `getVariableReference_Variable()` Returns the meta object for the reference '`Variable`'.
    `org.eclipse.emf.ecore.EClass` | `getVariableReference()` Returns the meta object for class '`Variable Reference`'.
    `org.eclipse.emf.ecore.EReference` | `getVQLImportSection_PackageImport()` Returns the meta object for the containment reference list '`Package Import`'.
    `org.eclipse.emf.ecore.EReference` | `getVQLImportSection_PatternImport()` Returns the meta object for the containment reference list '`Pattern Import`'.
    `org.eclipse.emf.ecore.EClass` | `getVQLImportSection()` Returns the meta object for class '`VQL Import Section`'.

    - ### Methods inherited from interface org.eclipse.emf.ecore.EPackage

      `getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

    - ### Methods inherited from interface org.eclipse.emf.ecore.ENamedElement

      `getName, setName`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

      `getEAnnotation, getEAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Field Detail

    - #### eNAME

          static final java.lang.String eNAME

      The package name.
      See Also:
        Constant Field Values
      Generated:

    - #### eNS_URI

          static final java.lang.String eNS_URI

      The package namespace URI.
      See Also:
        Constant Field Values
      Generated:

    - #### eNS_PREFIX

          static final java.lang.String eNS_PREFIX

      The package namespace name.
      See Also:
        Constant Field Values
      Generated:

    - #### eINSTANCE

          static final PatternLanguagePackage eINSTANCE

      The singleton instance of the package.
      Generated:

    - #### VQL_IMPORT_SECTION

          static final int VQL_IMPORT_SECTION

      The meta object id for the '`VQL Import Section`' class.
      See Also:
        `VQLImportSectionImpl`, `PatternLanguagePackageImpl.getVQLImportSection()`, Constant Field Values
      Generated:

    - #### VQL_IMPORT_SECTION__IMPORT_DECLARATIONS

          static final int VQL_IMPORT_SECTION__IMPORT_DECLARATIONS

      The feature id for the 'Import Declarations' containment reference list.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### VQL_IMPORT_SECTION__PACKAGE_IMPORT

          static final int VQL_IMPORT_SECTION__PACKAGE_IMPORT

      The feature id for the 'Package Import' containment reference list.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### VQL_IMPORT_SECTION__PATTERN_IMPORT

          static final int VQL_IMPORT_SECTION__PATTERN_IMPORT

      The feature id for the 'Pattern Import' containment reference list.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### VQL_IMPORT_SECTION_FEATURE_COUNT

          static final int VQL_IMPORT_SECTION_FEATURE_COUNT

      The number of structural features of the 'VQL Import Section' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### PACKAGE_IMPORT

          static final int PACKAGE_IMPORT

      The meta object id for the '`Package Import`' class.
      See Also:
        `PackageImportImpl`, `PatternLanguagePackageImpl.getPackageImport()`, Constant Field Values
      Generated:

    - #### PACKAGE_IMPORT__EPACKAGE

          static final int PACKAGE_IMPORT__EPACKAGE

      The feature id for the 'EPackage' reference.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### PACKAGE_IMPORT__ALIAS

          static final int PACKAGE_IMPORT__ALIAS

      The feature id for the 'Alias' attribute.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### PACKAGE_IMPORT_FEATURE_COUNT

          static final int PACKAGE_IMPORT_FEATURE_COUNT

      The number of structural features of the 'Package Import' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### PATTERN_IMPORT

          static final int PATTERN_IMPORT

      The meta object id for the '`Pattern Import`' class.
      See Also:
        `PatternImportImpl`, `PatternLanguagePackageImpl.getPatternImport()`, Constant Field Values
      Generated:

    - #### PATTERN_IMPORT__PATTERN

          static final int PATTERN_IMPORT__PATTERN

      The feature id for the 'Pattern' reference.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### PATTERN_IMPORT__PACKAGE_NAME

          static final int PATTERN_IMPORT__PACKAGE_NAME

      The feature id for the 'Package Name' attribute.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### PATTERN_IMPORT__PATTERNS

          static final int PATTERN_IMPORT__PATTERNS

      The feature id for the 'Patterns' containment reference list.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### PATTERN_IMPORT_FEATURE_COUNT

          static final int PATTERN_IMPORT_FEATURE_COUNT

      The number of structural features of the 'Pattern Import' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### CONSTRAINT

          static final int CONSTRAINT

      The meta object id for the '`Constraint`' class.
      See Also:
        `ConstraintImpl`, `PatternLanguagePackageImpl.getConstraint()`, Constant Field Values
      Generated:

    - #### CONSTRAINT_FEATURE_COUNT

          static final int CONSTRAINT_FEATURE_COUNT

      The number of structural features of the 'Constraint' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### ECLASSIFIER_CONSTRAINT

          static final int ECLASSIFIER_CONSTRAINT

      The meta object id for the '`EClassifier Constraint`' class.
      See Also:
        `EClassifierConstraintImpl`, `PatternLanguagePackageImpl.getEClassifierConstraint()`, Constant Field Values
      Generated:

    - #### ECLASSIFIER_CONSTRAINT__TRANSITIVE

          static final int ECLASSIFIER_CONSTRAINT__TRANSITIVE

      The feature id for the 'Transitive' attribute.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### ECLASSIFIER_CONSTRAINT__TYPE

          static final int ECLASSIFIER_CONSTRAINT__TYPE

      The feature id for the 'Type' containment reference.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### ECLASSIFIER_CONSTRAINT__VAR

          static final int ECLASSIFIER_CONSTRAINT__VAR

      The feature id for the 'Var' containment reference.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### ECLASSIFIER_CONSTRAINT_FEATURE_COUNT

          static final int ECLASSIFIER_CONSTRAINT_FEATURE_COUNT

      The number of structural features of the 'EClassifier Constraint' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### EXPRESSION

          static final int EXPRESSION

      The meta object id for the '`Expression`' class.
      See Also:
        `ExpressionImpl`, `PatternLanguagePackageImpl.getExpression()`, Constant Field Values
      Generated:

    - #### EXPRESSION_FEATURE_COUNT

          static final int EXPRESSION_FEATURE_COUNT

      The number of structural features of the 'Expression' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### VALUE_REFERENCE

          static final int VALUE_REFERENCE

      The meta object id for the '`Value Reference`' class.
      See Also:
        `ValueReferenceImpl`, `PatternLanguagePackageImpl.getValueReference()`, Constant Field Values
      Generated:

    - #### VALUE_REFERENCE_FEATURE_COUNT

          static final int VALUE_REFERENCE_FEATURE_COUNT

      The number of structural features of the 'Value Reference' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### ENUM_VALUE

          static final int ENUM_VALUE

      The meta object id for the '`Enum Value`' class.
      See Also:
        `EnumValueImpl`, `PatternLanguagePackageImpl.getEnumValue()`, Constant Field Values
      Generated:

    - #### ENUM_VALUE__ENUMERATION

          static final int ENUM_VALUE__ENUMERATION

      The feature id for the 'Enumeration' reference.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### ENUM_VALUE__LITERAL

          static final int ENUM_VALUE__LITERAL

      The feature id for the 'Literal' reference.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### ENUM_VALUE_FEATURE_COUNT

          static final int ENUM_VALUE_FEATURE_COUNT

      The number of structural features of the 'Enum Value' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### PATTERN_MODEL

          static final int PATTERN_MODEL

      The meta object id for the '`Pattern Model`' class.
      See Also:
        `PatternModelImpl`, `PatternLanguagePackageImpl.getPatternModel()`, Constant Field Values
      Generated:

    - #### PATTERN_MODEL__IMPORT_PACKAGES

          static final int PATTERN_MODEL__IMPORT_PACKAGES

      The feature id for the 'Import Packages' containment reference.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### PATTERN_MODEL__PACKAGE_NAME

          static final int PATTERN_MODEL__PACKAGE_NAME

      The feature id for the 'Package Name' attribute.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### PATTERN_MODEL__PATTERNS

          static final int PATTERN_MODEL__PATTERNS

      The feature id for the 'Patterns' containment reference list.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### PATTERN_MODEL_FEATURE_COUNT

          static final int PATTERN_MODEL_FEATURE_COUNT

      The number of structural features of the 'Pattern Model' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### TYPE

          static final int TYPE

      The meta object id for the '`Type`' class.
      See Also:
        `TypeImpl`, `PatternLanguagePackageImpl.getType()`, Constant Field Values
      Generated:

    - #### TYPE__TYPENAME

          static final int TYPE__TYPENAME

      The feature id for the 'Typename' attribute.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### TYPE_FEATURE_COUNT

          static final int TYPE_FEATURE_COUNT

      The number of structural features of the 'Type' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### ENTITY_TYPE

          static final int ENTITY_TYPE

      The meta object id for the '`Entity Type`' class.
      See Also:
        `EntityTypeImpl`, `PatternLanguagePackageImpl.getEntityType()`, Constant Field Values
      Generated:

    - #### ENTITY_TYPE__TYPENAME

          static final int ENTITY_TYPE__TYPENAME

      The feature id for the 'Typename' attribute.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### ENTITY_TYPE_FEATURE_COUNT

          static final int ENTITY_TYPE_FEATURE_COUNT

      The number of structural features of the 'Entity Type' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### CLASS_TYPE

          static final int CLASS_TYPE

      The meta object id for the '`Class Type`' class.
      See Also:
        `ClassTypeImpl`, `PatternLanguagePackageImpl.getClassType()`, Constant Field Values
      Generated:

    - #### CLASS_TYPE__TYPENAME

          static final int CLASS_TYPE__TYPENAME

      The feature id for the 'Typename' attribute.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### CLASS_TYPE__METAMODEL

          static final int CLASS_TYPE__METAMODEL

      The feature id for the 'Metamodel' reference.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### CLASS_TYPE__CLASSNAME

          static final int CLASS_TYPE__CLASSNAME

      The feature id for the 'Classname' reference.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### CLASS_TYPE_FEATURE_COUNT

          static final int CLASS_TYPE_FEATURE_COUNT

      The number of structural features of the 'Class Type' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### RELATION_TYPE

          static final int RELATION_TYPE

      The meta object id for the '`Relation Type`' class.
      See Also:
        `RelationTypeImpl`, `PatternLanguagePackageImpl.getRelationType()`, Constant Field Values
      Generated:

    - #### RELATION_TYPE__TYPENAME

          static final int RELATION_TYPE__TYPENAME

      The feature id for the 'Typename' attribute.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### RELATION_TYPE_FEATURE_COUNT

          static final int RELATION_TYPE_FEATURE_COUNT

      The number of structural features of the 'Relation Type' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### REFERENCE_TYPE

          static final int REFERENCE_TYPE

      The meta object id for the '`Reference Type`' class.
      See Also:
        `ReferenceTypeImpl`, `PatternLanguagePackageImpl.getReferenceType()`, Constant Field Values
      Generated:

    - #### REFERENCE_TYPE__TYPENAME

          static final int REFERENCE_TYPE__TYPENAME

      The feature id for the 'Typename' attribute.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### REFERENCE_TYPE__REFNAME

          static final int REFERENCE_TYPE__REFNAME

      The feature id for the 'Refname' reference.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### REFERENCE_TYPE_FEATURE_COUNT

          static final int REFERENCE_TYPE_FEATURE_COUNT

      The number of structural features of the 'Reference Type' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### PATTERN

          static final int PATTERN

      The meta object id for the '`Pattern`' class.
      See Also:
        `PatternImpl`, `PatternLanguagePackageImpl.getPattern()`, Constant Field Values
      Generated:

    - #### PATTERN__ANNOTATIONS

          static final int PATTERN__ANNOTATIONS

      The feature id for the 'Annotations' containment reference list.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### PATTERN__MODIFIERS

          static final int PATTERN__MODIFIERS

      The feature id for the 'Modifiers' containment reference.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### PATTERN__NAME

          static final int PATTERN__NAME

      The feature id for the 'Name' attribute.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### PATTERN__PARAMETERS

          static final int PATTERN__PARAMETERS

      The feature id for the 'Parameters' containment reference list.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### PATTERN__BODIES

          static final int PATTERN__BODIES

      The feature id for the 'Bodies' containment reference list.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### PATTERN_FEATURE_COUNT

          static final int PATTERN_FEATURE_COUNT

      The number of structural features of the 'Pattern' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### ANNOTATION

          static final int ANNOTATION

      The meta object id for the '`Annotation`' class.
      See Also:
        `AnnotationImpl`, `PatternLanguagePackageImpl.getAnnotation()`, Constant Field Values
      Generated:

    - #### ANNOTATION__NAME

          static final int ANNOTATION__NAME

      The feature id for the 'Name' attribute.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### ANNOTATION__PARAMETERS

          static final int ANNOTATION__PARAMETERS

      The feature id for the 'Parameters' containment reference list.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### ANNOTATION_FEATURE_COUNT

          static final int ANNOTATION_FEATURE_COUNT

      The number of structural features of the 'Annotation' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### ANNOTATION_PARAMETER

          static final int ANNOTATION_PARAMETER

      The meta object id for the '`Annotation Parameter`' class.
      See Also:
        `AnnotationParameterImpl`, `PatternLanguagePackageImpl.getAnnotationParameter()`, Constant Field Values
      Generated:

    - #### ANNOTATION_PARAMETER__NAME

          static final int ANNOTATION_PARAMETER__NAME

      The feature id for the 'Name' attribute.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### ANNOTATION_PARAMETER__VALUE

          static final int ANNOTATION_PARAMETER__VALUE

      The feature id for the 'Value' containment reference.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### ANNOTATION_PARAMETER_FEATURE_COUNT

          static final int ANNOTATION_PARAMETER_FEATURE_COUNT

      The number of structural features of the 'Annotation Parameter' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### MODIFIERS

          static final int MODIFIERS

      The meta object id for the '`Modifiers`' class.
      See Also:
        `ModifiersImpl`, `PatternLanguagePackageImpl.getModifiers()`, Constant Field Values
      Generated:

    - #### MODIFIERS__PRIVATE

          static final int MODIFIERS__PRIVATE

      The feature id for the 'Private' attribute.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### MODIFIERS__EXECUTION

          static final int MODIFIERS__EXECUTION

      The feature id for the 'Execution' attribute.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### MODIFIERS_FEATURE_COUNT

          static final int MODIFIERS_FEATURE_COUNT

      The number of structural features of the 'Modifiers' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### VARIABLE

          static final int VARIABLE

      The meta object id for the '`Variable`' class.
      See Also:
        `VariableImpl`, `PatternLanguagePackageImpl.getVariable()`, Constant Field Values
      Generated:

    - #### VARIABLE__NAME

          static final int VARIABLE__NAME

      The feature id for the 'Name' attribute.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### VARIABLE__TYPE

          static final int VARIABLE__TYPE

      The feature id for the 'Type' containment reference.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### VARIABLE_FEATURE_COUNT

          static final int VARIABLE_FEATURE_COUNT

      The number of structural features of the 'Variable' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### VARIABLE_REFERENCE

          static final int VARIABLE_REFERENCE

      The meta object id for the '`Variable Reference`' class.
      See Also:
        `VariableReferenceImpl`, `PatternLanguagePackageImpl.getVariableReference()`, Constant Field Values
      Generated:

    - #### VARIABLE_REFERENCE__AGGREGATOR

          static final int VARIABLE_REFERENCE__AGGREGATOR

      The feature id for the 'Aggregator' attribute.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### VARIABLE_REFERENCE__VAR

          static final int VARIABLE_REFERENCE__VAR

      The feature id for the 'Var' attribute.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### VARIABLE_REFERENCE__VARIABLE

          static final int VARIABLE_REFERENCE__VARIABLE

      The feature id for the 'Variable' reference.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### VARIABLE_REFERENCE_FEATURE_COUNT

          static final int VARIABLE_REFERENCE_FEATURE_COUNT

      The number of structural features of the 'Variable Reference' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### PATTERN_BODY

          static final int PATTERN_BODY

      The meta object id for the '`Pattern Body`' class.
      See Also:
        `PatternBodyImpl`, `PatternLanguagePackageImpl.getPatternBody()`, Constant Field Values
      Generated:

    - #### PATTERN_BODY__NAME

          static final int PATTERN_BODY__NAME

      The feature id for the 'Name' attribute.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### PATTERN_BODY__CONSTRAINTS

          static final int PATTERN_BODY__CONSTRAINTS

      The feature id for the 'Constraints' containment reference list.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### PATTERN_BODY__VARIABLES

          static final int PATTERN_BODY__VARIABLES

      The feature id for the 'Variables' containment reference list.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### PATTERN_BODY_FEATURE_COUNT

          static final int PATTERN_BODY_FEATURE_COUNT

      The number of structural features of the 'Pattern Body' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### CALLABLE_RELATION

          static final int CALLABLE_RELATION

      The meta object id for the '`Callable Relation`' class.
      See Also:
        `CallableRelationImpl`, `PatternLanguagePackageImpl.getCallableRelation()`, Constant Field Values
      Generated:

    - #### CALLABLE_RELATION__TRANSITIVE

          static final int CALLABLE_RELATION__TRANSITIVE

      The feature id for the 'Transitive' attribute.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### CALLABLE_RELATION_FEATURE_COUNT

          static final int CALLABLE_RELATION_FEATURE_COUNT

      The number of structural features of the 'Callable Relation' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### PATTERN_CALL

          static final int PATTERN_CALL

      The meta object id for the '`Pattern Call`' class.
      See Also:
        `PatternCallImpl`, `PatternLanguagePackageImpl.getPatternCall()`, Constant Field Values
      Generated:

    - #### PATTERN_CALL__TRANSITIVE

          static final int PATTERN_CALL__TRANSITIVE

      The feature id for the 'Transitive' attribute.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### PATTERN_CALL__PATTERN_REF

          static final int PATTERN_CALL__PATTERN_REF

      The feature id for the 'Pattern Ref' reference.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### PATTERN_CALL__PARAMETERS

          static final int PATTERN_CALL__PARAMETERS

      The feature id for the 'Parameters' containment reference list.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### PATTERN_CALL_FEATURE_COUNT

          static final int PATTERN_CALL_FEATURE_COUNT

      The number of structural features of the 'Pattern Call' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### LITERAL_VALUE_REFERENCE

          static final int LITERAL_VALUE_REFERENCE

      The meta object id for the '`Literal Value Reference`' class.
      See Also:
        `LiteralValueReferenceImpl`, `PatternLanguagePackageImpl.getLiteralValueReference()`, Constant Field Values
      Generated:

    - #### LITERAL_VALUE_REFERENCE_FEATURE_COUNT

          static final int LITERAL_VALUE_REFERENCE_FEATURE_COUNT

      The number of structural features of the 'Literal Value Reference' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### COMPUTATION_VALUE

          static final int COMPUTATION_VALUE

      The meta object id for the '`Computation Value`' class.
      See Also:
        `ComputationValueImpl`, `PatternLanguagePackageImpl.getComputationValue()`, Constant Field Values
      Generated:

    - #### COMPUTATION_VALUE_FEATURE_COUNT

          static final int COMPUTATION_VALUE_FEATURE_COUNT

      The number of structural features of the 'Computation Value' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### PARAMETER_REF

          static final int PARAMETER_REF

      The meta object id for the '`Parameter Ref`' class.
      See Also:
        `ParameterRefImpl`, `PatternLanguagePackageImpl.getParameterRef()`, Constant Field Values
      Generated:

    - #### PARAMETER_REF__NAME

          static final int PARAMETER_REF__NAME

      The feature id for the 'Name' attribute.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### PARAMETER_REF__TYPE

          static final int PARAMETER_REF__TYPE

      The feature id for the 'Type' containment reference.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### PARAMETER_REF__REFERRED_PARAM

          static final int PARAMETER_REF__REFERRED_PARAM

      The feature id for the 'Referred Param' reference.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### PARAMETER_REF_FEATURE_COUNT

          static final int PARAMETER_REF_FEATURE_COUNT

      The number of structural features of the 'Parameter Ref' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### PARAMETER

          static final int PARAMETER

      The meta object id for the '`Parameter`' class.
      See Also:
        `ParameterImpl`, `PatternLanguagePackageImpl.getParameter()`, Constant Field Values
      Generated:

    - #### PARAMETER__NAME

          static final int PARAMETER__NAME

      The feature id for the 'Name' attribute.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### PARAMETER__TYPE

          static final int PARAMETER__TYPE

      The feature id for the 'Type' containment reference.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### PARAMETER__DIRECTION

          static final int PARAMETER__DIRECTION

      The feature id for the 'Direction' attribute.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### PARAMETER_FEATURE_COUNT

          static final int PARAMETER_FEATURE_COUNT

      The number of structural features of the 'Parameter' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### LOCAL_VARIABLE

          static final int LOCAL_VARIABLE

      The meta object id for the '`Local Variable`' class.
      See Also:
        `LocalVariableImpl`, `PatternLanguagePackageImpl.getLocalVariable()`, Constant Field Values
      Generated:

    - #### LOCAL_VARIABLE__NAME

          static final int LOCAL_VARIABLE__NAME

      The feature id for the 'Name' attribute.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### LOCAL_VARIABLE__TYPE

          static final int LOCAL_VARIABLE__TYPE

      The feature id for the 'Type' containment reference.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### LOCAL_VARIABLE_FEATURE_COUNT

          static final int LOCAL_VARIABLE_FEATURE_COUNT

      The number of structural features of the 'Local Variable' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### JAVA_TYPE

          static final int JAVA_TYPE

      The meta object id for the '`Java Type`' class.
      See Also:
        `JavaTypeImpl`, `PatternLanguagePackageImpl.getJavaType()`, Constant Field Values
      Generated:

    - #### JAVA_TYPE__TYPENAME

          static final int JAVA_TYPE__TYPENAME

      The feature id for the 'Typename' attribute.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### JAVA_TYPE__CLASS_REF

          static final int JAVA_TYPE__CLASS_REF

      The feature id for the 'Class Ref' reference.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### JAVA_TYPE_FEATURE_COUNT

          static final int JAVA_TYPE_FEATURE_COUNT

      The number of structural features of the 'Java Type' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### TYPE_CHECK_CONSTRAINT

          static final int TYPE_CHECK_CONSTRAINT

      The meta object id for the '`Type Check Constraint`' class.
      See Also:
        `TypeCheckConstraintImpl`, `PatternLanguagePackageImpl.getTypeCheckConstraint()`, Constant Field Values
      Generated:

    - #### TYPE_CHECK_CONSTRAINT__TRANSITIVE

          static final int TYPE_CHECK_CONSTRAINT__TRANSITIVE

      The feature id for the 'Transitive' attribute.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### TYPE_CHECK_CONSTRAINT__TYPE

          static final int TYPE_CHECK_CONSTRAINT__TYPE

      The feature id for the 'Type' containment reference.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### TYPE_CHECK_CONSTRAINT__VAR

          static final int TYPE_CHECK_CONSTRAINT__VAR

      The feature id for the 'Var' containment reference.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### TYPE_CHECK_CONSTRAINT_FEATURE_COUNT

          static final int TYPE_CHECK_CONSTRAINT_FEATURE_COUNT

      The number of structural features of the 'Type Check Constraint' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### PATTERN_COMPOSITION_CONSTRAINT

          static final int PATTERN_COMPOSITION_CONSTRAINT

      The meta object id for the '`Pattern Composition Constraint`' class.
      See Also:
        `PatternCompositionConstraintImpl`, `PatternLanguagePackageImpl.getPatternCompositionConstraint()`, Constant Field Values
      Generated:

    - #### PATTERN_COMPOSITION_CONSTRAINT__NEGATIVE

          static final int PATTERN_COMPOSITION_CONSTRAINT__NEGATIVE

      The feature id for the 'Negative' attribute.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### PATTERN_COMPOSITION_CONSTRAINT__CALL

          static final int PATTERN_COMPOSITION_CONSTRAINT__CALL

      The feature id for the 'Call' containment reference.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### PATTERN_COMPOSITION_CONSTRAINT_FEATURE_COUNT

          static final int PATTERN_COMPOSITION_CONSTRAINT_FEATURE_COUNT

      The number of structural features of the 'Pattern Composition Constraint' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### COMPARE_CONSTRAINT

          static final int COMPARE_CONSTRAINT

      The meta object id for the '`Compare Constraint`' class.
      See Also:
        `CompareConstraintImpl`, `PatternLanguagePackageImpl.getCompareConstraint()`, Constant Field Values
      Generated:

    - #### COMPARE_CONSTRAINT__LEFT_OPERAND

          static final int COMPARE_CONSTRAINT__LEFT_OPERAND

      The feature id for the 'Left Operand' containment reference.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### COMPARE_CONSTRAINT__FEATURE

          static final int COMPARE_CONSTRAINT__FEATURE

      The feature id for the 'Feature' attribute.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### COMPARE_CONSTRAINT__RIGHT_OPERAND

          static final int COMPARE_CONSTRAINT__RIGHT_OPERAND

      The feature id for the 'Right Operand' containment reference.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### COMPARE_CONSTRAINT_FEATURE_COUNT

          static final int COMPARE_CONSTRAINT_FEATURE_COUNT

      The number of structural features of the 'Compare Constraint' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### CHECK_CONSTRAINT

          static final int CHECK_CONSTRAINT

      The meta object id for the '`Check Constraint`' class.
      See Also:
        `CheckConstraintImpl`, `PatternLanguagePackageImpl.getCheckConstraint()`, Constant Field Values
      Generated:

    - #### CHECK_CONSTRAINT__EXPRESSION

          static final int CHECK_CONSTRAINT__EXPRESSION

      The feature id for the 'Expression' containment reference.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### CHECK_CONSTRAINT_FEATURE_COUNT

          static final int CHECK_CONSTRAINT_FEATURE_COUNT

      The number of structural features of the 'Check Constraint' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### PATH_EXPRESSION_CONSTRAINT

          static final int PATH_EXPRESSION_CONSTRAINT

      The meta object id for the '`Path Expression Constraint`' class.
      See Also:
        `PathExpressionConstraintImpl`, `PatternLanguagePackageImpl.getPathExpressionConstraint()`, Constant Field Values
      Generated:

    - #### PATH_EXPRESSION_CONSTRAINT__TRANSITIVE

          static final int PATH_EXPRESSION_CONSTRAINT__TRANSITIVE

      The feature id for the 'Transitive' attribute.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### PATH_EXPRESSION_CONSTRAINT__EDGE_TYPES

          static final int PATH_EXPRESSION_CONSTRAINT__EDGE_TYPES

      The feature id for the 'Edge Types' containment reference list.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### PATH_EXPRESSION_CONSTRAINT__SOURCE_TYPE

          static final int PATH_EXPRESSION_CONSTRAINT__SOURCE_TYPE

      The feature id for the 'Source Type' containment reference.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### PATH_EXPRESSION_CONSTRAINT__SRC

          static final int PATH_EXPRESSION_CONSTRAINT__SRC

      The feature id for the 'Src' containment reference.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### PATH_EXPRESSION_CONSTRAINT__DST

          static final int PATH_EXPRESSION_CONSTRAINT__DST

      The feature id for the 'Dst' containment reference.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### PATH_EXPRESSION_CONSTRAINT_FEATURE_COUNT

          static final int PATH_EXPRESSION_CONSTRAINT_FEATURE_COUNT

      The number of structural features of the 'Path Expression Constraint' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### STRING_VALUE

          static final int STRING_VALUE

      The meta object id for the '`String Value`' class.
      See Also:
        `StringValueImpl`, `PatternLanguagePackageImpl.getStringValue()`, Constant Field Values
      Generated:

    - #### STRING_VALUE__VALUE

          static final int STRING_VALUE__VALUE

      The feature id for the 'Value' attribute.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### STRING_VALUE_FEATURE_COUNT

          static final int STRING_VALUE_FEATURE_COUNT

      The number of structural features of the 'String Value' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### NUMBER_VALUE

          static final int NUMBER_VALUE

      The meta object id for the '`Number Value`' class.
      See Also:
        `NumberValueImpl`, `PatternLanguagePackageImpl.getNumberValue()`, Constant Field Values
      Generated:

    - #### NUMBER_VALUE__VALUE

          static final int NUMBER_VALUE__VALUE

      The feature id for the 'Value' containment reference.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### NUMBER_VALUE__NEGATIVE

          static final int NUMBER_VALUE__NEGATIVE

      The feature id for the 'Negative' attribute.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### NUMBER_VALUE_FEATURE_COUNT

          static final int NUMBER_VALUE_FEATURE_COUNT

      The number of structural features of the 'Number Value' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### BOOL_VALUE

          static final int BOOL_VALUE

      The meta object id for the '`Bool Value`' class.
      See Also:
        `BoolValueImpl`, `PatternLanguagePackageImpl.getBoolValue()`, Constant Field Values
      Generated:

    - #### BOOL_VALUE__VALUE

          static final int BOOL_VALUE__VALUE

      The feature id for the 'Value' containment reference.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### BOOL_VALUE_FEATURE_COUNT

          static final int BOOL_VALUE_FEATURE_COUNT

      The number of structural features of the 'Bool Value' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### LIST_VALUE

          static final int LIST_VALUE

      The meta object id for the '`List Value`' class.
      See Also:
        `ListValueImpl`, `PatternLanguagePackageImpl.getListValue()`, Constant Field Values
      Generated:

    - #### LIST_VALUE__VALUES

          static final int LIST_VALUE__VALUES

      The feature id for the 'Values' containment reference list.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### LIST_VALUE_FEATURE_COUNT

          static final int LIST_VALUE_FEATURE_COUNT

      The number of structural features of the 'List Value' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### FUNCTION_EVALUATION_VALUE

          static final int FUNCTION_EVALUATION_VALUE

      The meta object id for the '`Function Evaluation Value`' class.
      See Also:
        `FunctionEvaluationValueImpl`, `PatternLanguagePackageImpl.getFunctionEvaluationValue()`, Constant Field Values
      Generated:

    - #### FUNCTION_EVALUATION_VALUE__EXPRESSION

          static final int FUNCTION_EVALUATION_VALUE__EXPRESSION

      The feature id for the 'Expression' containment reference.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### FUNCTION_EVALUATION_VALUE__UNWIND

          static final int FUNCTION_EVALUATION_VALUE__UNWIND

      The feature id for the 'Unwind' attribute.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### FUNCTION_EVALUATION_VALUE_FEATURE_COUNT

          static final int FUNCTION_EVALUATION_VALUE_FEATURE_COUNT

      The number of structural features of the 'Function Evaluation Value' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### AGGREGATED_VALUE

          static final int AGGREGATED_VALUE

      The meta object id for the '`Aggregated Value`' class.
      See Also:
        `AggregatedValueImpl`, `PatternLanguagePackageImpl.getAggregatedValue()`, Constant Field Values
      Generated:

    - #### AGGREGATED_VALUE__AGGREGATOR

          static final int AGGREGATED_VALUE__AGGREGATOR

      The feature id for the 'Aggregator' reference.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### AGGREGATED_VALUE__CALL

          static final int AGGREGATED_VALUE__CALL

      The feature id for the 'Call' containment reference.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### AGGREGATED_VALUE__AGGREGATE_TYPE

          static final int AGGREGATED_VALUE__AGGREGATE_TYPE

      The feature id for the 'Aggregate Type' reference.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### AGGREGATED_VALUE_FEATURE_COUNT

          static final int AGGREGATED_VALUE_FEATURE_COUNT

      The number of structural features of the 'Aggregated Value' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### UNARY_TYPE_CONSTRAINT

          static final int UNARY_TYPE_CONSTRAINT

      The meta object id for the '`Unary Type Constraint`' class.
      See Also:
        `UnaryTypeConstraintImpl`, `PatternLanguagePackageImpl.getUnaryTypeConstraint()`, Constant Field Values
      Generated:

    - #### UNARY_TYPE_CONSTRAINT__TRANSITIVE

          static final int UNARY_TYPE_CONSTRAINT__TRANSITIVE

      The feature id for the 'Transitive' attribute.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### UNARY_TYPE_CONSTRAINT__TYPE

          static final int UNARY_TYPE_CONSTRAINT__TYPE

      The feature id for the 'Type' containment reference.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### UNARY_TYPE_CONSTRAINT__VAR

          static final int UNARY_TYPE_CONSTRAINT__VAR

      The feature id for the 'Var' containment reference.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### UNARY_TYPE_CONSTRAINT_FEATURE_COUNT

          static final int UNARY_TYPE_CONSTRAINT_FEATURE_COUNT

      The number of structural features of the 'Unary Type Constraint' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### JAVA_CONSTANT_VALUE

          static final int JAVA_CONSTANT_VALUE

      The meta object id for the '`Java Constant Value`' class.
      See Also:
        `JavaConstantValueImpl`, `PatternLanguagePackageImpl.getJavaConstantValue()`, Constant Field Values
      Generated:

    - #### JAVA_CONSTANT_VALUE__CLASS_REF

          static final int JAVA_CONSTANT_VALUE__CLASS_REF

      The feature id for the 'Class Ref' reference.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### JAVA_CONSTANT_VALUE__FIELD_REF

          static final int JAVA_CONSTANT_VALUE__FIELD_REF

      The feature id for the 'Field Ref' reference.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### JAVA_CONSTANT_VALUE_FEATURE_COUNT

          static final int JAVA_CONSTANT_VALUE_FEATURE_COUNT

      The number of structural features of the 'Java Constant Value' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### EXECUTION_TYPE

          static final int EXECUTION_TYPE

      The meta object id for the '`Execution Type`' enum.
      See Also:
        `ExecutionType`, `PatternLanguagePackageImpl.getExecutionType()`, Constant Field Values
      Generated:

    - #### PARAMETER_DIRECTION

          static final int PARAMETER_DIRECTION

      The meta object id for the '`Parameter Direction`' enum.
      See Also:
        `ParameterDirection`, `PatternLanguagePackageImpl.getParameterDirection()`, Constant Field Values
      Generated:

    - #### COMPARE_FEATURE

          static final int COMPARE_FEATURE

      The meta object id for the '`Compare Feature`' enum.
      See Also:
        `CompareFeature`, `PatternLanguagePackageImpl.getCompareFeature()`, Constant Field Values
      Generated:

    - #### CLOSURE_TYPE

          static final int CLOSURE_TYPE

      The meta object id for the '`Closure Type`' enum.
      See Also:
        `ClosureType`, `PatternLanguagePackageImpl.getClosureType()`, Constant Field Values
      Generated:

  - ### Method Detail

    - #### getVQLImportSection

          org.eclipse.emf.ecore.EClass getVQLImportSection()

      Returns the meta object for class '`VQL Import Section`'.
      Returns:
        the meta object for class 'VQL Import Section'.
      See Also:
        `VQLImportSection`
      Generated:

    - #### getVQLImportSection_PackageImport

          org.eclipse.emf.ecore.EReference getVQLImportSection_PackageImport()

      Returns the meta object for the containment reference list '`Package Import`'.
      Returns:
        the meta object for the containment reference list 'Package Import'.
      See Also:
        `VQLImportSection.getPackageImport()`, `getVQLImportSection()`
      Generated:

    - #### getVQLImportSection_PatternImport

          org.eclipse.emf.ecore.EReference getVQLImportSection_PatternImport()

      Returns the meta object for the containment reference list '`Pattern Import`'.
      Returns:
        the meta object for the containment reference list 'Pattern Import'.
      See Also:
        `VQLImportSection.getPatternImport()`, `getVQLImportSection()`
      Generated:

    - #### getPackageImport

          org.eclipse.emf.ecore.EClass getPackageImport()

      Returns the meta object for class '`Package Import`'.
      Returns:
        the meta object for class 'Package Import'.
      See Also:
        `PackageImport`
      Generated:

    - #### getPackageImport_EPackage

          org.eclipse.emf.ecore.EReference getPackageImport_EPackage()

      Returns the meta object for the reference '`EPackage`'.
      Returns:
        the meta object for the reference 'EPackage'.
      See Also:
        `PackageImport.getEPackage()`, `getPackageImport()`
      Generated:

    - #### getPackageImport_Alias

          org.eclipse.emf.ecore.EAttribute getPackageImport_Alias()

      Returns the meta object for the attribute '`Alias`'.
      Returns:
        the meta object for the attribute 'Alias'.
      See Also:
        `PackageImport.getAlias()`, `getPackageImport()`
      Generated:

    - #### getPatternImport

          org.eclipse.emf.ecore.EClass getPatternImport()

      Returns the meta object for class '`Pattern Import`'.
      Returns:
        the meta object for class 'Pattern Import'.
      See Also:
        `PatternImport`
      Generated:

    - #### getPatternImport_Pattern

          org.eclipse.emf.ecore.EReference getPatternImport_Pattern()

      Returns the meta object for the reference '`Pattern`'.
      Returns:
        the meta object for the reference 'Pattern'.
      See Also:
        `PatternImport.getPattern()`, `getPatternImport()`
      Generated:

    - #### getPatternImport_PackageName

          org.eclipse.emf.ecore.EAttribute getPatternImport_PackageName()

      Returns the meta object for the attribute '`Package Name`'.
      Returns:
        the meta object for the attribute 'Package Name'.
      See Also:
        `PatternImport.getPackageName()`, `getPatternImport()`
      Generated:

    - #### getPatternImport_Patterns

          org.eclipse.emf.ecore.EReference getPatternImport_Patterns()

      Returns the meta object for the containment reference list '`Patterns`'.
      Returns:
        the meta object for the containment reference list 'Patterns'.
      See Also:
        `PatternImport.getPatterns()`, `getPatternImport()`
      Generated:

    - #### getEClassifierConstraint

          org.eclipse.emf.ecore.EClass getEClassifierConstraint()

      Returns the meta object for class '`EClassifier Constraint`'.
      Returns:
        the meta object for class 'EClassifier Constraint'.
      See Also:
        `EClassifierConstraint`
      Generated:

    - #### getEnumValue

          org.eclipse.emf.ecore.EClass getEnumValue()

      Returns the meta object for class '`Enum Value`'.
      Returns:
        the meta object for class 'Enum Value'.
      See Also:
        `EnumValue`
      Generated:

    - #### getEnumValue_Enumeration

          org.eclipse.emf.ecore.EReference getEnumValue_Enumeration()

      Returns the meta object for the reference '`Enumeration`'.
      Returns:
        the meta object for the reference 'Enumeration'.
      See Also:
        `EnumValue.getEnumeration()`, `getEnumValue()`
      Generated:

    - #### getEnumValue_Literal

          org.eclipse.emf.ecore.EReference getEnumValue_Literal()

      Returns the meta object for the reference '`Literal`'.
      Returns:
        the meta object for the reference 'Literal'.
      See Also:
        `EnumValue.getLiteral()`, `getEnumValue()`
      Generated:

    - #### getPatternModel

          org.eclipse.emf.ecore.EClass getPatternModel()

      Returns the meta object for class '`Pattern Model`'.
      Returns:
        the meta object for class 'Pattern Model'.
      See Also:
        `PatternModel`
      Generated:

    - #### getPatternModel_ImportPackages

          org.eclipse.emf.ecore.EReference getPatternModel_ImportPackages()

      Returns the meta object for the containment reference '`Import Packages`'.
      Returns:
        the meta object for the containment reference 'Import Packages'.
      See Also:
        `PatternModel.getImportPackages()`, `getPatternModel()`
      Generated:

    - #### getPatternModel_PackageName

          org.eclipse.emf.ecore.EAttribute getPatternModel_PackageName()

      Returns the meta object for the attribute '`Package Name`'.
      Returns:
        the meta object for the attribute 'Package Name'.
      See Also:
        `PatternModel.getPackageName()`, `getPatternModel()`
      Generated:

    - #### getPatternModel_Patterns

          org.eclipse.emf.ecore.EReference getPatternModel_Patterns()

      Returns the meta object for the containment reference list '`Patterns`'.
      Returns:
        the meta object for the containment reference list 'Patterns'.
      See Also:
        `PatternModel.getPatterns()`, `getPatternModel()`
      Generated:

    - #### getClassType

          org.eclipse.emf.ecore.EClass getClassType()

      Returns the meta object for class '`Class Type`'.
      Returns:
        the meta object for class 'Class Type'.
      See Also:
        `ClassType`
      Generated:

    - #### getClassType_Metamodel

          org.eclipse.emf.ecore.EReference getClassType_Metamodel()

      Returns the meta object for the reference '`Metamodel`'.
      Returns:
        the meta object for the reference 'Metamodel'.
      See Also:
        `ClassType.getMetamodel()`, `getClassType()`
      Generated:

    - #### getClassType_Classname

          org.eclipse.emf.ecore.EReference getClassType_Classname()

      Returns the meta object for the reference '`Classname`'.
      Returns:
        the meta object for the reference 'Classname'.
      See Also:
        `ClassType.getClassname()`, `getClassType()`
      Generated:

    - #### getReferenceType

          org.eclipse.emf.ecore.EClass getReferenceType()

      Returns the meta object for class '`Reference Type`'.
      Returns:
        the meta object for class 'Reference Type'.
      See Also:
        `ReferenceType`
      Generated:

    - #### getReferenceType_Refname

          org.eclipse.emf.ecore.EReference getReferenceType_Refname()

      Returns the meta object for the reference '`Refname`'.
      Returns:
        the meta object for the reference 'Refname'.
      See Also:
        `ReferenceType.getRefname()`, `getReferenceType()`
      Generated:

    - #### getPattern

          org.eclipse.emf.ecore.EClass getPattern()

      Returns the meta object for class '`Pattern`'.
      Returns:
        the meta object for class 'Pattern'.
      See Also:
        `Pattern`
      Generated:

    - #### getPattern_Annotations

          org.eclipse.emf.ecore.EReference getPattern_Annotations()

      Returns the meta object for the containment reference list '`Annotations`'.
      Returns:
        the meta object for the containment reference list 'Annotations'.
      See Also:
        `Pattern.getAnnotations()`, `getPattern()`
      Generated:

    - #### getPattern_Modifiers

          org.eclipse.emf.ecore.EReference getPattern_Modifiers()

      Returns the meta object for the containment reference '`Modifiers`'.
      Returns:
        the meta object for the containment reference 'Modifiers'.
      See Also:
        `Pattern.getModifiers()`, `getPattern()`
      Generated:

    - #### getPattern_Name

          org.eclipse.emf.ecore.EAttribute getPattern_Name()

      Returns the meta object for the attribute '`Name`'.
      Returns:
        the meta object for the attribute 'Name'.
      See Also:
        `Pattern.getName()`, `getPattern()`
      Generated:

    - #### getPattern_Parameters

          org.eclipse.emf.ecore.EReference getPattern_Parameters()

      Returns the meta object for the containment reference list '`Parameters`'.
      Returns:
        the meta object for the containment reference list 'Parameters'.
      See Also:
        `Pattern.getParameters()`, `getPattern()`
      Generated:

    - #### getPattern_Bodies

          org.eclipse.emf.ecore.EReference getPattern_Bodies()

      Returns the meta object for the containment reference list '`Bodies`'.
      Returns:
        the meta object for the containment reference list 'Bodies'.
      See Also:
        `Pattern.getBodies()`, `getPattern()`
      Generated:

    - #### getAnnotation

          org.eclipse.emf.ecore.EClass getAnnotation()

      Returns the meta object for class '`Annotation`'.
      Returns:
        the meta object for class 'Annotation'.
      See Also:
        `Annotation`
      Generated:

    - #### getAnnotation_Name

          org.eclipse.emf.ecore.EAttribute getAnnotation_Name()

      Returns the meta object for the attribute '`Name`'.
      Returns:
        the meta object for the attribute 'Name'.
      See Also:
        `Annotation.getName()`, `getAnnotation()`
      Generated:

    - #### getAnnotation_Parameters

          org.eclipse.emf.ecore.EReference getAnnotation_Parameters()

      Returns the meta object for the containment reference list '`Parameters`'.
      Returns:
        the meta object for the containment reference list 'Parameters'.
      See Also:
        `Annotation.getParameters()`, `getAnnotation()`
      Generated:

    - #### getAnnotationParameter

          org.eclipse.emf.ecore.EClass getAnnotationParameter()

      Returns the meta object for class '`Annotation Parameter`'.
      Returns:
        the meta object for class 'Annotation Parameter'.
      See Also:
        `AnnotationParameter`
      Generated:

    - #### getAnnotationParameter_Name

          org.eclipse.emf.ecore.EAttribute getAnnotationParameter_Name()

      Returns the meta object for the attribute '`Name`'.
      Returns:
        the meta object for the attribute 'Name'.
      See Also:
        `AnnotationParameter.getName()`, `getAnnotationParameter()`
      Generated:

    - #### getAnnotationParameter_Value

          org.eclipse.emf.ecore.EReference getAnnotationParameter_Value()

      Returns the meta object for the containment reference '`Value`'.
      Returns:
        the meta object for the containment reference 'Value'.
      See Also:
        `AnnotationParameter.getValue()`, `getAnnotationParameter()`
      Generated:

    - #### getModifiers

          org.eclipse.emf.ecore.EClass getModifiers()

      Returns the meta object for class '`Modifiers`'.
      Returns:
        the meta object for class 'Modifiers'.
      See Also:
        `Modifiers`
      Generated:

    - #### getModifiers_Private

          org.eclipse.emf.ecore.EAttribute getModifiers_Private()

      Returns the meta object for the attribute '`Private`'.
      Returns:
        the meta object for the attribute 'Private'.
      See Also:
        `Modifiers.isPrivate()`, `getModifiers()`
      Generated:

    - #### getModifiers_Execution

          org.eclipse.emf.ecore.EAttribute getModifiers_Execution()

      Returns the meta object for the attribute '`Execution`'.
      Returns:
        the meta object for the attribute 'Execution'.
      See Also:
        `Modifiers.getExecution()`, `getModifiers()`
      Generated:

    - #### getExpression

          org.eclipse.emf.ecore.EClass getExpression()

      Returns the meta object for class '`Expression`'.
      Returns:
        the meta object for class 'Expression'.
      See Also:
        `Expression`
      Generated:

    - #### getVariable

          org.eclipse.emf.ecore.EClass getVariable()

      Returns the meta object for class '`Variable`'.
      Returns:
        the meta object for class 'Variable'.
      See Also:
        `Variable`
      Generated:

    - #### getVariable_Name

          org.eclipse.emf.ecore.EAttribute getVariable_Name()

      Returns the meta object for the attribute '`Name`'.
      Returns:
        the meta object for the attribute 'Name'.
      See Also:
        `Variable.getName()`, `getVariable()`
      Generated:

    - #### getVariable_Type

          org.eclipse.emf.ecore.EReference getVariable_Type()

      Returns the meta object for the containment reference '`Type`'.
      Returns:
        the meta object for the containment reference 'Type'.
      See Also:
        `Variable.getType()`, `getVariable()`
      Generated:

    - #### getVariableReference

          org.eclipse.emf.ecore.EClass getVariableReference()

      Returns the meta object for class '`Variable Reference`'.
      Returns:
        the meta object for class 'Variable Reference'.
      See Also:
        `VariableReference`
      Generated:

    - #### getVariableReference_Aggregator

          org.eclipse.emf.ecore.EAttribute getVariableReference_Aggregator()

      Returns the meta object for the attribute '`Aggregator`'.
      Returns:
        the meta object for the attribute 'Aggregator'.
      See Also:
        `VariableReference.isAggregator()`, `getVariableReference()`
      Generated:

    - #### getVariableReference_Var

          org.eclipse.emf.ecore.EAttribute getVariableReference_Var()

      Returns the meta object for the attribute '`Var`'.
      Returns:
        the meta object for the attribute 'Var'.
      See Also:
        `VariableReference.getVar()`, `getVariableReference()`
      Generated:

    - #### getVariableReference_Variable

          org.eclipse.emf.ecore.EReference getVariableReference_Variable()

      Returns the meta object for the reference '`Variable`'.
      Returns:
        the meta object for the reference 'Variable'.
      See Also:
        `VariableReference.getVariable()`, `getVariableReference()`
      Generated:

    - #### getType

          org.eclipse.emf.ecore.EClass getType()

      Returns the meta object for class '`Type`'.
      Returns:
        the meta object for class 'Type'.
      See Also:
        `Type`
      Generated:

    - #### getType_Typename

          org.eclipse.emf.ecore.EAttribute getType_Typename()

      Returns the meta object for the attribute '`Typename`'.
      Returns:
        the meta object for the attribute 'Typename'.
      See Also:
        `Type.getTypename()`, `getType()`
      Generated:

    - #### getEntityType

          org.eclipse.emf.ecore.EClass getEntityType()

      Returns the meta object for class '`Entity Type`'.
      Returns:
        the meta object for class 'Entity Type'.
      See Also:
        `EntityType`
      Generated:

    - #### getPatternBody

          org.eclipse.emf.ecore.EClass getPatternBody()

      Returns the meta object for class '`Pattern Body`'.
      Returns:
        the meta object for class 'Pattern Body'.
      See Also:
        `PatternBody`
      Generated:

    - #### getPatternBody_Name

          org.eclipse.emf.ecore.EAttribute getPatternBody_Name()

      Returns the meta object for the attribute '`Name`'.
      Returns:
        the meta object for the attribute 'Name'.
      See Also:
        `PatternBody.getName()`, `getPatternBody()`
      Generated:

    - #### getPatternBody_Constraints

          org.eclipse.emf.ecore.EReference getPatternBody_Constraints()

      Returns the meta object for the containment reference list '`Constraints`'.
      Returns:
        the meta object for the containment reference list 'Constraints'.
      See Also:
        `PatternBody.getConstraints()`, `getPatternBody()`
      Generated:

    - #### getPatternBody_Variables

          org.eclipse.emf.ecore.EReference getPatternBody_Variables()

      Returns the meta object for the containment reference list '`Variables`'.
      Returns:
        the meta object for the containment reference list 'Variables'.
      See Also:
        `PatternBody.getVariables()`, `getPatternBody()`
      Generated:

    - #### getConstraint

          org.eclipse.emf.ecore.EClass getConstraint()

      Returns the meta object for class '`Constraint`'.
      Returns:
        the meta object for class 'Constraint'.
      See Also:
        `Constraint`
      Generated:

    - #### getPatternCall

          org.eclipse.emf.ecore.EClass getPatternCall()

      Returns the meta object for class '`Pattern Call`'.
      Returns:
        the meta object for class 'Pattern Call'.
      See Also:
        `PatternCall`
      Generated:

    - #### getPatternCall_PatternRef

          org.eclipse.emf.ecore.EReference getPatternCall_PatternRef()

      Returns the meta object for the reference '`Pattern Ref`'.
      Returns:
        the meta object for the reference 'Pattern Ref'.
      See Also:
        `PatternCall.getPatternRef()`, `getPatternCall()`
      Generated:

    - #### getPatternCall_Parameters

          org.eclipse.emf.ecore.EReference getPatternCall_Parameters()

      Returns the meta object for the containment reference list '`Parameters`'.
      Returns:
        the meta object for the containment reference list 'Parameters'.
      See Also:
        `PatternCall.getParameters()`, `getPatternCall()`
      Generated:

    - #### getValueReference

          org.eclipse.emf.ecore.EClass getValueReference()

      Returns the meta object for class '`Value Reference`'.
      Returns:
        the meta object for class 'Value Reference'.
      See Also:
        `ValueReference`
      Generated:

    - #### getLiteralValueReference

          org.eclipse.emf.ecore.EClass getLiteralValueReference()

      Returns the meta object for class '`Literal Value Reference`'.
      Returns:
        the meta object for class 'Literal Value Reference'.
      See Also:
        `LiteralValueReference`
      Generated:

    - #### getComputationValue

          org.eclipse.emf.ecore.EClass getComputationValue()

      Returns the meta object for class '`Computation Value`'.
      Returns:
        the meta object for class 'Computation Value'.
      See Also:
        `ComputationValue`
      Generated:

    - #### getParameterRef

          org.eclipse.emf.ecore.EClass getParameterRef()

      Returns the meta object for class '`Parameter Ref`'.
      Returns:
        the meta object for class 'Parameter Ref'.
      See Also:
        `ParameterRef`
      Generated:

    - #### getParameterRef_ReferredParam

          org.eclipse.emf.ecore.EReference getParameterRef_ReferredParam()

      Returns the meta object for the reference '`Referred Param`'.
      Returns:
        the meta object for the reference 'Referred Param'.
      See Also:
        `ParameterRef.getReferredParam()`, `getParameterRef()`
      Generated:

    - #### getParameter

          org.eclipse.emf.ecore.EClass getParameter()

      Returns the meta object for class '`Parameter`'.
      Returns:
        the meta object for class 'Parameter'.
      See Also:
        `Parameter`
      Generated:

    - #### getParameter_Direction

          org.eclipse.emf.ecore.EAttribute getParameter_Direction()

      Returns the meta object for the attribute '`Direction`'.
      Returns:
        the meta object for the attribute 'Direction'.
      See Also:
        `Parameter.getDirection()`, `getParameter()`
      Generated:

    - #### getLocalVariable

          org.eclipse.emf.ecore.EClass getLocalVariable()

      Returns the meta object for class '`Local Variable`'.
      Returns:
        the meta object for class 'Local Variable'.
      See Also:
        `LocalVariable`
      Generated:

    - #### getJavaType

          org.eclipse.emf.ecore.EClass getJavaType()

      Returns the meta object for class '`Java Type`'.
      Returns:
        the meta object for class 'Java Type'.
      See Also:
        `JavaType`
      Generated:

    - #### getJavaType_ClassRef

          org.eclipse.emf.ecore.EReference getJavaType_ClassRef()

      Returns the meta object for the reference '`Class Ref`'.
      Returns:
        the meta object for the reference 'Class Ref'.
      See Also:
        `JavaType.getClassRef()`, `getJavaType()`
      Generated:

    - #### getRelationType

          org.eclipse.emf.ecore.EClass getRelationType()

      Returns the meta object for class '`Relation Type`'.
      Returns:
        the meta object for class 'Relation Type'.
      See Also:
        `RelationType`
      Generated:

    - #### getTypeCheckConstraint

          org.eclipse.emf.ecore.EClass getTypeCheckConstraint()

      Returns the meta object for class '`Type Check Constraint`'.
      Returns:
        the meta object for class 'Type Check Constraint'.
      See Also:
        `TypeCheckConstraint`
      Generated:

    - #### getPatternCompositionConstraint

          org.eclipse.emf.ecore.EClass getPatternCompositionConstraint()

      Returns the meta object for class '`Pattern Composition Constraint`'.
      Returns:
        the meta object for class 'Pattern Composition Constraint'.
      See Also:
        `PatternCompositionConstraint`
      Generated:

    - #### getPatternCompositionConstraint_Negative

          org.eclipse.emf.ecore.EAttribute getPatternCompositionConstraint_Negative()

      Returns the meta object for the attribute '`Negative`'.
      Returns:
        the meta object for the attribute 'Negative'.
      See Also:
        `PatternCompositionConstraint.isNegative()`, `getPatternCompositionConstraint()`
      Generated:

    - #### getPatternCompositionConstraint_Call

          org.eclipse.emf.ecore.EReference getPatternCompositionConstraint_Call()

      Returns the meta object for the containment reference '`Call`'.
      Returns:
        the meta object for the containment reference 'Call'.
      See Also:
        `PatternCompositionConstraint.getCall()`, `getPatternCompositionConstraint()`
      Generated:

    - #### getCompareConstraint

          org.eclipse.emf.ecore.EClass getCompareConstraint()

      Returns the meta object for class '`Compare Constraint`'.
      Returns:
        the meta object for class 'Compare Constraint'.
      See Also:
        `CompareConstraint`
      Generated:

    - #### getCompareConstraint_LeftOperand

          org.eclipse.emf.ecore.EReference getCompareConstraint_LeftOperand()

      Returns the meta object for the containment reference '`Left Operand`'.
      Returns:
        the meta object for the containment reference 'Left Operand'.
      See Also:
        `CompareConstraint.getLeftOperand()`, `getCompareConstraint()`
      Generated:

    - #### getCompareConstraint_Feature

          org.eclipse.emf.ecore.EAttribute getCompareConstraint_Feature()

      Returns the meta object for the attribute '`Feature`'.
      Returns:
        the meta object for the attribute 'Feature'.
      See Also:
        `CompareConstraint.getFeature()`, `getCompareConstraint()`
      Generated:

    - #### getCompareConstraint_RightOperand

          org.eclipse.emf.ecore.EReference getCompareConstraint_RightOperand()

      Returns the meta object for the containment reference '`Right Operand`'.
      Returns:
        the meta object for the containment reference 'Right Operand'.
      See Also:
        `CompareConstraint.getRightOperand()`, `getCompareConstraint()`
      Generated:

    - #### getCheckConstraint

          org.eclipse.emf.ecore.EClass getCheckConstraint()

      Returns the meta object for class '`Check Constraint`'.
      Returns:
        the meta object for class 'Check Constraint'.
      See Also:
        `CheckConstraint`
      Generated:

    - #### getCheckConstraint_Expression

          org.eclipse.emf.ecore.EReference getCheckConstraint_Expression()

      Returns the meta object for the containment reference '`Expression`'.
      Returns:
        the meta object for the containment reference 'Expression'.
      See Also:
        `CheckConstraint.getExpression()`, `getCheckConstraint()`
      Generated:

    - #### getPathExpressionConstraint

          org.eclipse.emf.ecore.EClass getPathExpressionConstraint()

      Returns the meta object for class '`Path Expression Constraint`'.
      Returns:
        the meta object for class 'Path Expression Constraint'.
      See Also:
        `PathExpressionConstraint`
      Generated:

    - #### getPathExpressionConstraint_EdgeTypes

          org.eclipse.emf.ecore.EReference getPathExpressionConstraint_EdgeTypes()

      Returns the meta object for the containment reference list '`Edge Types`'.
      Returns:
        the meta object for the containment reference list 'Edge Types'.
      See Also:
        `PathExpressionConstraint.getEdgeTypes()`, `getPathExpressionConstraint()`
      Generated:

    - #### getPathExpressionConstraint_SourceType

          org.eclipse.emf.ecore.EReference getPathExpressionConstraint_SourceType()

      Returns the meta object for the containment reference '`Source Type`'.
      Returns:
        the meta object for the containment reference 'Source Type'.
      See Also:
        `PathExpressionConstraint.getSourceType()`, `getPathExpressionConstraint()`
      Generated:

    - #### getPathExpressionConstraint_Src

          org.eclipse.emf.ecore.EReference getPathExpressionConstraint_Src()

      Returns the meta object for the containment reference '`Src`'.
      Returns:
        the meta object for the containment reference 'Src'.
      See Also:
        `PathExpressionConstraint.getSrc()`, `getPathExpressionConstraint()`
      Generated:

    - #### getPathExpressionConstraint_Dst

          org.eclipse.emf.ecore.EReference getPathExpressionConstraint_Dst()

      Returns the meta object for the containment reference '`Dst`'.
      Returns:
        the meta object for the containment reference 'Dst'.
      See Also:
        `PathExpressionConstraint.getDst()`, `getPathExpressionConstraint()`
      Generated:

    - #### getStringValue

          org.eclipse.emf.ecore.EClass getStringValue()

      Returns the meta object for class '`String Value`'.
      Returns:
        the meta object for class 'String Value'.
      See Also:
        `StringValue`
      Generated:

    - #### getStringValue_Value

          org.eclipse.emf.ecore.EAttribute getStringValue_Value()

      Returns the meta object for the attribute '`Value`'.
      Returns:
        the meta object for the attribute 'Value'.
      See Also:
        `StringValue.getValue()`, `getStringValue()`
      Generated:

    - #### getNumberValue

          org.eclipse.emf.ecore.EClass getNumberValue()

      Returns the meta object for class '`Number Value`'.
      Returns:
        the meta object for class 'Number Value'.
      See Also:
        `NumberValue`
      Generated:

    - #### getNumberValue_Value

          org.eclipse.emf.ecore.EReference getNumberValue_Value()

      Returns the meta object for the containment reference '`Value`'.
      Returns:
        the meta object for the containment reference 'Value'.
      See Also:
        `NumberValue.getValue()`, `getNumberValue()`
      Generated:

    - #### getNumberValue_Negative

          org.eclipse.emf.ecore.EAttribute getNumberValue_Negative()

      Returns the meta object for the attribute '`Negative`'.
      Returns:
        the meta object for the attribute 'Negative'.
      See Also:
        `NumberValue.isNegative()`, `getNumberValue()`
      Generated:

    - #### getBoolValue

          org.eclipse.emf.ecore.EClass getBoolValue()

      Returns the meta object for class '`Bool Value`'.
      Returns:
        the meta object for class 'Bool Value'.
      See Also:
        `BoolValue`
      Generated:

    - #### getBoolValue_Value

          org.eclipse.emf.ecore.EReference getBoolValue_Value()

      Returns the meta object for the containment reference '`Value`'.
      Returns:
        the meta object for the containment reference 'Value'.
      See Also:
        `BoolValue.getValue()`, `getBoolValue()`
      Generated:

    - #### getListValue

          org.eclipse.emf.ecore.EClass getListValue()

      Returns the meta object for class '`List Value`'.
      Returns:
        the meta object for class 'List Value'.
      See Also:
        `ListValue`
      Generated:

    - #### getListValue_Values

          org.eclipse.emf.ecore.EReference getListValue_Values()

      Returns the meta object for the containment reference list '`Values`'.
      Returns:
        the meta object for the containment reference list 'Values'.
      See Also:
        `ListValue.getValues()`, `getListValue()`
      Generated:

    - #### getFunctionEvaluationValue

          org.eclipse.emf.ecore.EClass getFunctionEvaluationValue()

      Returns the meta object for class '`Function Evaluation Value`'.
      Returns:
        the meta object for class 'Function Evaluation Value'.
      See Also:
        `FunctionEvaluationValue`
      Generated:

    - #### getFunctionEvaluationValue_Expression

          org.eclipse.emf.ecore.EReference getFunctionEvaluationValue_Expression()

      Returns the meta object for the containment reference '`Expression`'.
      Returns:
        the meta object for the containment reference 'Expression'.
      See Also:
        `FunctionEvaluationValue.getExpression()`, `getFunctionEvaluationValue()`
      Generated:

    - #### getFunctionEvaluationValue_Unwind

          org.eclipse.emf.ecore.EAttribute getFunctionEvaluationValue_Unwind()

      Returns the meta object for the attribute '`Unwind`'.
      Returns:
        the meta object for the attribute 'Unwind'.
      See Also:
        `FunctionEvaluationValue.isUnwind()`, `getFunctionEvaluationValue()`
      Generated:

    - #### getAggregatedValue

          org.eclipse.emf.ecore.EClass getAggregatedValue()

      Returns the meta object for class '`Aggregated Value`'.
      Returns:
        the meta object for class 'Aggregated Value'.
      See Also:
        `AggregatedValue`
      Generated:

    - #### getAggregatedValue_Aggregator

          org.eclipse.emf.ecore.EReference getAggregatedValue_Aggregator()

      Returns the meta object for the reference '`Aggregator`'.
      Returns:
        the meta object for the reference 'Aggregator'.
      See Also:
        `AggregatedValue.getAggregator()`, `getAggregatedValue()`
      Generated:

    - #### getAggregatedValue_Call

          org.eclipse.emf.ecore.EReference getAggregatedValue_Call()

      Returns the meta object for the containment reference '`Call`'.
      Returns:
        the meta object for the containment reference 'Call'.
      See Also:
        `AggregatedValue.getCall()`, `getAggregatedValue()`
      Generated:

    - #### getAggregatedValue_AggregateType

          org.eclipse.emf.ecore.EReference getAggregatedValue_AggregateType()

      Returns the meta object for the reference '`Aggregate Type`'.
      Returns:
        the meta object for the reference 'Aggregate Type'.
      See Also:
        `AggregatedValue.getAggregateType()`, `getAggregatedValue()`
      Generated:

    - #### getCallableRelation

          org.eclipse.emf.ecore.EClass getCallableRelation()

      Returns the meta object for class '`Callable Relation`'.
      Returns:
        the meta object for class 'Callable Relation'.
      See Also:
        `CallableRelation`
      Generated:

    - #### getCallableRelation_Transitive

          org.eclipse.emf.ecore.EAttribute getCallableRelation_Transitive()

      Returns the meta object for the attribute '`Transitive`'.
      Returns:
        the meta object for the attribute 'Transitive'.
      See Also:
        `CallableRelation.getTransitive()`, `getCallableRelation()`
      Generated:

    - #### getUnaryTypeConstraint

          org.eclipse.emf.ecore.EClass getUnaryTypeConstraint()

      Returns the meta object for class '`Unary Type Constraint`'.
      Returns:
        the meta object for class 'Unary Type Constraint'.
      See Also:
        `UnaryTypeConstraint`
      Generated:

    - #### getUnaryTypeConstraint_Type

          org.eclipse.emf.ecore.EReference getUnaryTypeConstraint_Type()

      Returns the meta object for the containment reference '`Type`'.
      Returns:
        the meta object for the containment reference 'Type'.
      See Also:
        `UnaryTypeConstraint.getType()`, `getUnaryTypeConstraint()`
      Generated:

    - #### getUnaryTypeConstraint_Var

          org.eclipse.emf.ecore.EReference getUnaryTypeConstraint_Var()

      Returns the meta object for the containment reference '`Var`'.
      Returns:
        the meta object for the containment reference 'Var'.
      See Also:
        `UnaryTypeConstraint.getVar()`, `getUnaryTypeConstraint()`
      Generated:

    - #### getJavaConstantValue

          org.eclipse.emf.ecore.EClass getJavaConstantValue()

      Returns the meta object for class '`Java Constant Value`'.
      Returns:
        the meta object for class 'Java Constant Value'.
      See Also:
        `JavaConstantValue`
      Generated:

    - #### getJavaConstantValue_ClassRef

          org.eclipse.emf.ecore.EReference getJavaConstantValue_ClassRef()

      Returns the meta object for the reference '`Class Ref`'.
      Returns:
        the meta object for the reference 'Class Ref'.
      See Also:
        `JavaConstantValue.getClassRef()`, `getJavaConstantValue()`
      Generated:

    - #### getJavaConstantValue_FieldRef

          org.eclipse.emf.ecore.EReference getJavaConstantValue_FieldRef()

      Returns the meta object for the reference '`Field Ref`'.
      Returns:
        the meta object for the reference 'Field Ref'.
      See Also:
        `JavaConstantValue.getFieldRef()`, `getJavaConstantValue()`
      Generated:

    - #### getExecutionType

          org.eclipse.emf.ecore.EEnum getExecutionType()

      Returns the meta object for enum '`Execution Type`'.
      Returns:
        the meta object for enum 'Execution Type'.
      See Also:
        `ExecutionType`
      Generated:

    - #### getParameterDirection

          org.eclipse.emf.ecore.EEnum getParameterDirection()

      Returns the meta object for enum '`Parameter Direction`'.
      Returns:
        the meta object for enum 'Parameter Direction'.
      See Also:
        `ParameterDirection`
      Generated:

    - #### getCompareFeature

          org.eclipse.emf.ecore.EEnum getCompareFeature()

      Returns the meta object for enum '`Compare Feature`'.
      Returns:
        the meta object for enum 'Compare Feature'.
      See Also:
        `CompareFeature`
      Generated:

    - #### getClosureType

          org.eclipse.emf.ecore.EEnum getClosureType()

      Returns the meta object for enum '`Closure Type`'.
      Returns:
        the meta object for enum 'Closure Type'.
      See Also:
        `ClosureType`
      Generated:

    - #### getPatternLanguageFactory

          PatternLanguageFactory getPatternLanguageFactory()

      Returns the factory that creates the instances of the model.
      Returns:
        the factory that creates the instances of the model.
      Generated: